shishi_ap_req_process(3)

NAME
shishi_ap_req_process - API function

SYNOPSIS
#include <shishi.h>

int shishi_ap_req_process(Shishi_ap * ap, Shishi_key * key);

ARGUMENTS

Shishi_ap * ap
    structure that holds information about AP exchange

Shishi_key * key
    cryptographic key used to decrypt ticket in AP-REQ.

DESCRIPTION
Decrypt ticket in AP-REQ using supplied key and decrypt Authenticator in AP-REQ using key in decrypted ticket, and on success set the Ticket and Authenticator fields in the AP exchange.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.